cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count > Struct Template Reference

Mixed-precision reduction.

`#include <reduction_operators.h>`

Collaboration diagram for cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >:
[legend]

## Classes

struct | Params

## Public Types

using | ElementAccumulator = ElementAccumulator_
using | Element = Element_
using | FragmentAccumulator = cutlass::Array< ElementAccumulator, kCount >
using | FragmentElement = cutlass::Array< Element, kCount >

## Public Member Functions

CUTLASS_HOST_DEVICE | ReduceAdd (Params params_=Params())
| Constructor. More...
CUTLASS_HOST_DEVICE FragmentAccumulator | operator() (FragmentAccumulator accumulator, FragmentElement element) const
| Operator. More...

## Public Attributes

Params | params
| Parameters object. More...

## Static Public Attributes

static int const | kCount = Count

## Member Typedef Documentation

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

using cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::Element = Element_

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

using cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::ElementAccumulator = ElementAccumulator_

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

using cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::FragmentAccumulator = cutlass::Array<ElementAccumulator, kCount>

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

using cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::FragmentElement = cutlass::Array<Element, kCount>

## Constructor & Destructor Documentation

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

CUTLASS_HOST_DEVICE cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::ReduceAdd | ( | Params | params_ = `Params()` | ) |

inline

## Member Function Documentation

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

CUTLASS_HOST_DEVICE FragmentAccumulator cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::operator() | ( | FragmentAccumulator | accumulator,
|  | FragmentElement | element
| ) |  | const

inline

## Member Data Documentation

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

int const cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::kCount = Count

static

template<typename ElementAccumulator_ , typename Element_ , int Count = 1>

Params cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::params

The documentation for this struct was generated from the following file:

- reduction_operators.h